AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ChatBotComponent

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- bot
- clearComplete
- complete
- componentHost
- conversationModeOn
- framework
- textEnabled
- title
- voiceConfig
- voiceEnabled

### Methods

- loadComponent
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new ChatBotComponent(componentFactoryResolver: ComponentFactoryResolver): ChatBotComponent

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:51

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  #### Returns ChatBotComponent

## Properties

### bot

bot: string

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:42

### clearComplete

clearComplete: boolean

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:44

### complete

complete: EventEmitter<string> = new EventEmitter<string>()

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:50

### componentHost

componentHost: DynamicComponentDirective

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:51

### conversationModeOn

conversationModeOn: boolean

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:45

### framework

framework: string

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:41

### textEnabled

textEnabled: boolean

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:48

### title

title: string

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:43

### voiceConfig

voiceConfig: any

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:46

### voiceEnabled

voiceEnabled: boolean

- Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:47

## Methods

### loadComponent

- loadComponent(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:61

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:59

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/interactions/chatbot/chatbot.factory.ts:55

  #### Returns void